Subject: Re: Whetstone.c crashes gcc....get egcs 1.0.2 as fix!
From: [email-masked] (Mikey)

30 May 1998 12:49:28 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Sadly egcs can't compile a cygwinB19.dll
that will work with gdb, x86 DWARF2 unwinding
doesn't work correctly.
(If someone could PLEASE tell me I'm wrong and how to
get it to work I would be very grateful :)

You may, if you are working on winsup/newlib,
or gdb want to go with gcc-2.8.1 available from
your local GNU mirrors.

Or you  can replace B19 binutils with
binutils-2.9.1 which has also been reported to
fix the optimization problems.

On Sat, 30 May 1998 01:33:35 -0500, you wrote:

>Hello,
>egcs1.0.2 compiles and executes the whetstone.c program fine with
>optimizations:
>-O
>-O1
>-O2
>-O3
>I *strongly* recommend Mumit Khan's port of egcs to B19. It fixes this
>problem and LOADS of other problems in gcc, g++ and g77 on the cygwin32
>intel platform.
>    Emil Hallin
>
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".

=====================================================
Linux a platform built by, and for users, standing on
the firm legs of reliability, and speed.

Microsoft Windows, a platform without a leg to stand on.

([email-masked])
delete REMOVETHIS from the above to reply
         Mikey
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".